Name: xchat-gnome
Version: 0.26.1
Release: alt1

Summary: a new frontend to the popular X-Chat IRC client
License: GPLv2+
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar

Requires(post): GConf2

BuildPreReq: rpm-build-gnome gnome-common

BuildRequires: libgnome-devel libgnomeui-devel libgtk+2-devel libglade-devel gnome-vfs-devel libGConf-devel
BuildRequires: perl-devel python-dev libdbus-glib-devel libdbus-devel glib2-devel libsexy-devel
BuildRequires: libssl-devel libnotify-devel gnome-doc-utils libgio-devel libcanberra-devel xorg-x11-devel autogen

%description
XChat-GNOME is a new frontend to the popular X-Chat IRC client which is designed with the user interface foremost in mind. Historically, the OSS desktop has been steadily improving in usability, accessibility, and general slickness, yet the world of IRC clients has not kept up. With IRC being one of the fundamental methods of communication within the open source community, it is bizzare that this area has been neglected.
GNOME's philosophy in terms of user interfaces has been progressing towards presenting the user with few options and sane defaults. While many of the normal X-Chat options will be preserved inside GConf and the xchat config files, only the most common settings will be included in the main user interface.

%prep
%setup -q

%build
sh ./autogen.sh
%configure --disable-scrollkeeper --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
for sch in apps_xchat notification url_handler urlscraper; do
	%gconf2_install $sch
done

%preun
if [ $1 = 0 ]; then
	for sch in apps_xchat notification url_handler urlscraper; do
		%gconf2_uninstall $sch
	done
fi

%files -f %name.lang
%gconf_schemasdir/*
%_bindir/%name
%_libdir/%name
%_man1dir/*
%_desktopdir/%name.desktop
%_liconsdir/*
%_iconsdir/hicolor/128x128/apps/*
%_datadir/%name
%_datadir/dbus-1/services/org.gnome.Xchat.service
%doc AUTHORS ChangeLog README

%changelog
* Sat May 02 2009 Vladimir Lettiev <crux@altlinux.ru> 0.26.1-alt1
- new version

* Mon Dec 01 2008 Vladimir Lettiev <crux@altlinux.ru> 0.24.1-alt1
- new version
- dropped patches

* Sat Sep 13 2008 Vladimir Lettiev <crux@altlinux.ru> 0.18-alt1
- Initial build for Sisyphus


